class Student:
    def __init__(self, name, age, grade):
        self.name = name
        self.age = age
        self.grade = grade

    def get_grade(self):
        return self.grade

class Course:
    def __init__(self, name, max_students):
        self.name = name
        self.max_students = max_students
        self.students = []

    def add_student(self, student):
        if len(self.students) < self.max_students:
            self.students.append(student)
            return True
        return False

    def average_grade(self):
        total = 0
        for student in self.students:
            total += student.get_grade()
        return total / len(self.students)

s1 = Student("Kalle", 19, 95)
s2 = Student("Malle", 19, 75)
s3 = Student("Valle", 19, 65)

course = Course("Science", 2)
course.add_student(s1)
course.add_student(s2)

print(course.students)
print(course.average_grade())
course.add_student(s2)
print(course.average_grade())
